﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfSchedule_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //Normal Appointment
            ScheduleAppointment app = new ScheduleAppointment();
            app.Subject = "Meeting";
            app.StartTime = DateTime.Now.AddHours(2);
            app.EndTime = DateTime.Now.AddHours(4);
            app.AppointmentBackground = new SolidColorBrush(Colors.Red);
            Schedule.Appointments.Add(app);

            //ReadOnly Appointment
            ScheduleAppointment readOnlyAppointment = new ScheduleAppointment();
            readOnlyAppointment.Subject = "ReadOnly";
            readOnlyAppointment.StartTime = DateTime.Now.Date.AddHours(2);
            readOnlyAppointment.EndTime = DateTime.Now.Date.AddHours(4);
            readOnlyAppointment.ReadOnly = true;
            PropertyInfo propinfo = readOnlyAppointment.GetType().GetProperty("ReadOnlyVisibility", BindingFlags.Instance | BindingFlags.Public);
            propinfo.SetValue(readOnlyAppointment, Visibility.Collapsed);
            readOnlyAppointment.AppointmentBackground = new SolidColorBrush(Colors.Red);
            Schedule.Appointments.Add(readOnlyAppointment);
        }
    }
}
